Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Server-sent-events stream of platform stats. Emits a snapshot, then deltas as the queues commit them.

GET/v1/stats.subscribe
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

One of:
object
dataEventStatsHeartbeatDatarequired
Show properties
heartbeatinteger<int64>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataV1Statsrequired
Show properties
accountsAddedinteger<int32>required

The total number of accounts added

accountsUpdatedinteger<int32>required

The total number of accounts updated

appPlaytimeinteger<int32>required

The total playtime of apps

appsinteger<int32>required

The total number of apps

awardsGiveninteger<int32>required

The total awards given

awardsReceivedinteger<int32>required

The total awards received

badgesinteger<int32>required

The total number of badges

bansinteger<int32>required

The total number of bans

foilBadgesinteger<int32>required

The total number of foil badges

friendsinteger<int32>required

The total number of friends

gameBansinteger<int32>required

The total number of game bans

levelinteger<int32>required

The total level

normalBadgesinteger<int32>required

The total number of normal badges

playtimeinteger<int32>required

The total playtime

pointsGiveninteger<int32>required

The total points given

pointsReceivedinteger<int32>required

The total points received

steamSetsScoreinteger<int32>required

The total steam sets score

totalAccountsinteger<int64>required

The total number of accounts

vacBansinteger<int32>required

The total number of vac bans

xpinteger<int32>required

The total xp

eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataEventStatsUpdatedDatarequired
Show properties
datestringrequired
deltasobjectrequired
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

default

Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X GET 'https://api.steamsets.com/v1/stats.subscribe' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": {
    "heartbeat": 0
  },
  "event": "stats-heartbeat",
  "id": "string",
  "retry": 0
}